### Type parameters

- #### EventTypes: string | symbol

### Hierarchy

- EventEmitter
  - UploaderAbstract
    - S3Uploader

## Index

### Interfaces

- EventEmitterStatic
- ListenerFn

### Constructors

- constructor

### Properties

- EventEmitter
- prefixed

### Methods

- abort
- addFile
- addListener
- emit
- eventNames
- execute
- getIntelligentChunkSize
- getPartSize
- getUrl
- listenerCount
- listeners
- off
- on
- once
- pause
- removeAllListeners
- removeListener
- resume
- setApikey
- setIntelligentChunkSize
- setPartSize
- setRetryConfig
- setSecurity
- setTimeout
- setUploadMode
- setUrl

## Constructors

### constructor

- new UploaderAbstract(storeOptions: StoreUploadOptions, concurrency?: number): UploaderAbstract

- - Defined in lib/api/upload/uploaders/abstract.ts:69

  #### Parameters

  - ##### storeOptions: StoreUploadOptions

  - ##### Default value concurrency: number = 3

  #### Returns UploaderAbstract

## Properties

### Static EventEmitter

EventEmitter: EventEmitterStatic

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:61

### Static prefixed

prefixed: string | boolean

Inherited from EventEmitter.prefixed

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:6

## Methods

### Abstract abort

- abort(msg?: string): void

- - Defined in lib/api/upload/uploaders/abstract.ts:205

  Aborts queue (all pending requests with will be aborted)

  memberof

    MultipartUploader

  #### Parameters

  - ##### Optional msg: string

  #### Returns void

### Abstract addFile

- addFile(file: File): string

- - Defined in lib/api/upload/uploaders/abstract.ts:207

  #### Parameters

  - ##### file: File

  #### Returns string

### addListener

- addListener(event: EventTypes, fn: ListenerFn, context?: any): this

- Inherited from EventEmitter.addListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:33

  #### Parameters

  - ##### event: EventTypes

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns this

### emit

- emit(event: EventTypes, ...args: Array<any>): boolean

- Inherited from EventEmitter.emit

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:27

  Calls each of the listeners registered for a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### Rest ...args: Array<any>

  #### Returns boolean

### eventNames

- eventNames(): Array<EventTypes>

- Inherited from EventEmitter.eventNames

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:12

  Return an array listing the events for which the emitter has registered listeners.

  #### Returns Array<EventTypes>

### Abstract execute

- execute(): Promise<any>

- - Defined in lib/api/upload/uploaders/abstract.ts:209

  #### Returns Promise<any>

### getIntelligentChunkSize

- getIntelligentChunkSize(): number

- - Defined in lib/api/upload/uploaders/abstract.ts:168

  Returns intelligent chunk size

  #### Returns number

### getPartSize

- getPartSize(): number

- - Defined in lib/api/upload/uploaders/abstract.ts:147

  Returns current part size

  #### Returns number

### Private getUrl

- getUrl(): string

- - Defined in lib/api/upload/uploaders/abstract.ts:179

  Returns filestack upload url

  memberof

    MultipartUploader

  #### Returns string

### listenerCount

- listenerCount(event: EventTypes): number

- Inherited from EventEmitter.listenerCount

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:22

  Return the number of listeners listening to a given event.

  #### Parameters

  - ##### event: EventTypes

  #### Returns number

### listeners

- listeners(event: EventTypes): Array<ListenerFn>

- Inherited from EventEmitter.listeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:17

  Return the listeners registered for a given event.

  #### Parameters

  - ##### event: EventTypes

  #### Returns Array<ListenerFn>

### off

- off(event: EventTypes, fn?: ListenerFn, context?: any, once?: boolean): this

- Inherited from EventEmitter.off

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:44

  #### Parameters

  - ##### event: EventTypes

  - ##### Optional fn: ListenerFn

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### on

- on(event: EventTypes, fn: ListenerFn, context?: any): this

- Inherited from EventEmitter.on

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:32

  Add a listener for a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns this

### once

- once(event: EventTypes, fn: ListenerFn, context?: any): this

- Inherited from EventEmitter.once

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:38

  Add a one-time listener for a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns this

### Abstract pause

- pause(): void

- - Defined in lib/api/upload/uploaders/abstract.ts:192

  Pause upload queue

  memberof

    MultipartUploader

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: EventTypes): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:49

  Remove all listeners, or those of the specified event.

  #### Parameters

  - ##### Optional event: EventTypes

  #### Returns this

### removeListener

- removeListener(event: EventTypes, fn?: ListenerFn, context?: any, once?: boolean): this

- Inherited from EventEmitter.removeListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:43

  Remove the listeners of a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### Optional fn: ListenerFn

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### Abstract resume

- resume(): void

- - Defined in lib/api/upload/uploaders/abstract.ts:198

  resume upload queue if its paused

  memberof

    MultipartUploader

  #### Returns void

### setApikey

- setApikey(apikey: string): void

- - Defined in lib/api/upload/uploaders/abstract.ts:80

  #### Parameters

  - ##### apikey: string

  #### Returns void

### setIntelligentChunkSize

- setIntelligentChunkSize(size: number): void

- - Defined in lib/api/upload/uploaders/abstract.ts:157

  Set start part size for ii

  memberof

    S3Uploader

  #### Parameters

  - ##### size: number

  #### Returns void

### setPartSize

- setPartSize(size: number): void

- - Defined in lib/api/upload/uploaders/abstract.ts:129

  Set upload part size if part size is smaller than minimum 5mb it will throw error

  memberof

    S3Uploader

  #### Parameters

  - ##### size: number

  #### Returns void

### setRetryConfig

- setRetryConfig(cfg: RetryConfig): void

- - Defined in lib/api/upload/uploaders/abstract.ts:90

  #### Parameters

  - ##### cfg: RetryConfig

  #### Returns void

### setSecurity

- setSecurity(security: Security): void

- - Defined in lib/api/upload/uploaders/abstract.ts:75

  #### Parameters

  - ##### security: Security

  #### Returns void

### setTimeout

- setTimeout(timeout: number): void

- - Defined in lib/api/upload/uploaders/abstract.ts:85

  #### Parameters

  - ##### timeout: number

  #### Returns void

### setUploadMode

- setUploadMode(mode: UploadMode, lock?: boolean): void

- - Defined in lib/api/upload/uploaders/abstract.ts:106

  Sets upload mode

  memberof

    MultipartUploader

  #### Parameters

  - ##### mode: UploadMode

  - ##### Default value lock: boolean = false

  #### Returns void

### setUrl

- setUrl(url: string): void

- - Defined in lib/api/upload/uploaders/abstract.ts:94

  #### Parameters

  - ##### url: string

  #### Returns void